#include "form.h"
extern "C" {
#include <stdio.h>
}
	
form::form(string action, enum Method m):HTML("",false,"","","","","","",false,false)
{
	body.empty();
	if(m==GET)
		body.insert(body.begin(), "\n<form method=\"get\" action=\"" + action + "\">");
	else
		body.insert(body.begin(), "\n<form method=\"post\" action=\"" + action + "\">");
}

form::~form()
{
}

void form::addInput(string name, string label, bool hidden, int size)
{
	string s;
	if(!label.empty())
		s+=label+"&nbsp;";
	s+="<input type=\"";
	if(hidden)
		s+="text";
	else
		s+="password";
	s+="\" name=\"" + name + "\" ";
	if(size>=0) {
		char buf[256];
		snprintf(buf, sizeof(buf), "%u", size);
		s+="size=\""+(string)buf+"\" ";
	}
	s+="/>";
	body.insert(body.end(), s);
}

void form::addRadio(string group, string name, string label, bool checked)
{
	string s="<input type=\"radio\" name=\"" + group + "\" value=\"" + name + "\"";
	if(checked)
		s+=" checked=\"yes\"";
	s+=" />" + label;
	body.insert(body.end(), s);
}
void form::addCheckBox(string name, string label="", bool checked=false)
{
	string s="<input type=\"checkbox\" name=\"" + name + "\" value=\"on\"";
	if(checked)
		s+=" checked=\"yes\"";
	s+=" />" + label;
	body.insert(body.end(), s);
}
void form::addOptions(Options &o, string name)
{
	body.insert(body.end(), "<select name=\"" + name + "\">");
	for(Options::iterator it=o.begin(); it!=o.end(); it++)
		body.insert(body.end(), *it);
	body.insert(body.end(), "</select>");
}
void form::addSubmit(string text="")
{
	if(text.empty())
		body.insert(body.end(), "<input type=\"submit\" />");
	else
		body.insert(body.end(), "<input type=\"submit\" value=\"" + text + "\" />");
}
void form::addPassThrough(string variable, string value)
{
	body.insert(body.end(), "<input type=\"hidden\" name=\"" + variable + "\" value=\"" + value + "\" />");
}
form::operator string() {
	string s;
	for(stringlist_it a=body.begin(); a!=body.end(); a++)
		s+=*a + "\n";
	s += "</form>\n";
	return s;
}
