#include "socket.h"
extern "C" {
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <unistd.h>
}

Socket::Socket(string host, int port, int domain, int type, int protocol)
{
	st=NotConnected;
	socket_fd=::socket(domain, type, protocol);

	if(!host.empty() && port>=0) {
		struct sockaddr_in ad;
		unsigned long inaddr=inet_addr(host.c_str());
		memset(&ad, 0, sizeof(ad));
		ad.sin_family=AF_INET;
		if(inaddr!=(unsigned long)-1)
			memcpy(&ad.sin_addr, &inaddr, sizeof(inaddr));
		else {
			struct hostent *hp=gethostbyname(host.c_str());
			if(hp!=NULL)
				memcpy(&ad.sin_addr, hp->h_addr, hp->h_length);
		}
		ad.sin_port=htons(port);
		if(connect(socket_fd, (struct sockaddr *) &ad, sizeof(ad))==0)
			st=Connected;
	}
}

Socket::~Socket()
{
	if(socket_fd)
		close(socket_fd);
}

string Socket::read()
{
	if(st!=Connected)
		return "";
	char buf[1024];
	string s;
	while(::read(socket_fd, buf, 1024)==1024)
		s+=buf;
	s+=buf;
	return s;
}

int Socket::reply(string request)
{
	if(st!=Connected)
		return -1;
	if(!request.empty())
		this << request + "\r\n";
	string s;
	while(s.empty() || (s.find('-')>=0 && s.find(' ')<0) || (s.find('-')>=0 && s.find(' ')>=0 && s.find('-')<s.find(' ')))
		s=read();
	return atoi(s.c_str());
}

void Socket::operator << (string s)
{
	if(st==Connected) {
		write(socket_fd, s.c_str(), s.length());
	}
}

void operator <<(Socket *s, string str)
{
	if(s->st==Socket::Connected)
		write(s->socket_fd, str.c_str(), str.length());
}
	
ostream &operator <<(ostream &o, Socket &s)
{
	if(s.st!=Socket::Connected)
		return o;
	o << s.read();
	return o;
}
